package org.springblade.system.expand.feign;

import org.springblade.system.expand.entity.Setting;
import org.springblade.system.expand.vo.SettingVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class SettingClientFallback implements ISettingClient {
            /**
         * 详情
         */
        @Override
        public SettingVO detail(Setting setting) {
            return null;
        }

        /**
         * 查询 
         */
        @Override
        public List<SettingVO> list(Setting setting) {
            return null;
        }

    

        /**
         * 新增 
         */
        @Override
        public boolean save( Setting setting) {
            return false;
        }

        /**
         * 修改 
         */
        @Override
        public boolean update( Setting setting) {
            return false;
        }

        /**
         * 新增或修改 
         */
        @Override
        public boolean submit( Setting setting) {
            return false;
        }

    
        /**
         * 删除 
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
